OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKVRML
VrmlData

# VrmlData_Texture Class Reference

`#include <VrmlData_Texture.hxx>`

Inheritance diagram for VrmlData_Texture:

[legend]

## Public Member Functions
| VrmlData_Texture ()
| VrmlData_Texture (const VrmlData_Scene &theScene, const char *theName, const Standard_Boolean theRepeatS=Standard_False, const Standard_Boolean theRepeatT=Standard_False)
Standard_Boolean | RepeatS () const
Standard_Boolean | RepeatT () const
void | SetRepeatS (const Standard_Boolean theFlag)
void | SetRepeatT (const Standard_Boolean theFlag)
## Private Attributes
Standard_Boolean | myRepeatS
Standard_Boolean | myRepeatT

## Detailed Description

Implementation of the Texture node

## Constructor & Destructor Documentation

VrmlData_Texture::VrmlData_Texture | ( |  | ) | `[inline]`

| Empty constructor

VrmlData_Texture::VrmlData_Texture | ( | const VrmlData_Scene & | theScene,
|  | const char * | theName,
|  | const Standard_Boolean | theRepeatS = `Standard_False`,
|  | const Standard_Boolean | theRepeatT = `Standard_False`
| ) | `[inline]`

| Constructor

## Member Function Documentation

Standard_Boolean VrmlData_Texture::RepeatS | ( |  | ) | const`[inline]`

| Query the RepeatS value

Standard_Boolean VrmlData_Texture::RepeatT | ( |  | ) | const`[inline]`

| Query the RepeatT value

void VrmlData_Texture::SetRepeatS | ( | const Standard_Boolean | theFlag | ) | `[inline]`

| Set the RepeatS flag

void VrmlData_Texture::SetRepeatT | ( | const Standard_Boolean | theFlag | ) | `[inline]`

| Set the RepeatT flag

## Field Documentation

Standard_Boolean VrmlData_Texture::myRepeatS`[private]`

Standard_Boolean VrmlData_Texture::myRepeatT`[private]`

The documentation for this class was generated from the following file:

- VrmlData_Texture.hxx